Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
GET https://app.ap1.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.ap2.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.datadoghq.eu/api/v2/oauth2/.well-known/openid-configurationhttps://app.ddog-gov.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us2.ddog-gov.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.uk1.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us3.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us5.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration
概要
Retrieve OpenID Connect provider metadata for the OAuth2 v2 token endpoint.
応答
OK
OpenID Connect provider metadata.
Expand All
authorization_endpoint [required]
URL of the OAuth2 authorization endpoint.
id_token_signing_alg_values_supported [required]
Signing algorithms supported for ID tokens.
URL identifying the OpenID Connect issuer.
URL of the JSON Web Key Set used to verify ID token signatures.
response_types_supported [required]
OAuth2 response types supported by the provider.
subject_types_supported [required]
Subject identifier types supported by the provider.
token_endpoint [required]
URL of the OAuth2 token endpoint.
{
"authorization_endpoint": "https://app.datadoghq.com/oauth2/v1/authorize",
"id_token_signing_alg_values_supported": [
"RS256"
],
"issuer": "https://app.datadoghq.com/api/v2/oauth2",
"jwks_uri": "https://app.datadoghq.com/oauth2/v1/keys",
"response_types_supported": [
"code"
],
"subject_types_supported": [
"public"
],
"token_endpoint": "https://app.datadoghq.com/api/v2/oauth2/token"
}
Too many requests
{
"errors": [
"Bad Request"
]
}
コード例
# Curl command
curl -X GET "https://app.ap1.datadoghq.com"https://app.ap2.datadoghq.com"https://app.datadoghq.eu"https://app.ddog-gov.com"https://app.us2.ddog-gov.com"https://app.uk1.datadoghq.com"https://app.datadoghq.com"https://app.us3.datadoghq.com"https://app.us5.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration" \
-H "Accept: application/json"